Delete Cart Line Item

Deletes a *Cart* line item. **Notes** Removing the last `line_item` in the *Cart* deletes the *Cart*. To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the `version` field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| |Carts|modify|`store_cart`| |Carts |read-only|`store_cart_read_only`| |Information & Settings | modify | `store_v2_information`| |Information & Settings | read-only| `store_v2_information`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

cartIdstringRequired
itemIdstringRequired

Query parameters

includelist of enumsOptional
* `redirect_urls`: Create a direct link to a cart. This can be used for the /POST request for carts. * `line_items.physical_items.options`: The cart returns an abbreviated result. Use this to return physical items product options. To return the extended cart object, use in a /POST request. * `line_items.digital_items.options`: The cart returns an abbreviated result. Use this to return digital items product options. To return the extended cart object, use in a /POST request. * `promotions.banners`: Returns a list of eligible banners.
Allowed values:

Request

This endpoint expects an object.
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

NOTE: Discounted line items are re-evaluated on cart actions and may be automatically added back to your cart with a new line item ID to satisfy promotional requirements.

idstringformat: "UUID"
Cart ID, provided after creating a cart with a POST request.
customer_idinteger
ID of the customer to which the cart belongs.
channel_idinteger
The channel ID. If no channel is specified, defaults to 1.
emailstring

The cart’s email. This is the same email that is used in the billing address.

currencyobject
The currency. This is the same for both the cart and its subsequent checkout.
tax_includedboolean
base_amountdouble

Sum of cart line-item amounts before cart-level discounts, coupons, or taxes.

discount_amountdouble

Order-based discounted amount only - Excludes coupon discounts and product-based discounts.

manual_discount_amountdouble
The entered value represents the order level manual discount.
cart_amountdouble

Sum of cart line-item amounts minus cart-level discounts and coupons. This amount includes taxes (where applicable).

couponslist of objects
discountslist of objects
line_itemsobject

GET

created_timestringformat: "ISO-8601"
Time when the cart was created.
updated_timestringformat: "ISO-8601"
Time when the cart was last updated.
localestringformat: "ISO-639"
Locale of the cart. Accepts strings of format `xx` or `xx-YY`. Uses the [ISO-639 standard](https://www.iso.org/iso-639-language-codes.html) format.
promotionsobject

This is available only when “include=promotions.banners” is presented in the URL.

versioninteger
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

409
Conflict Error